Skip to main content
PATCH
/
hos
/
daily-logs
/
log-meta-data
[beta] Update the shippingDocs field of an existing assignment.
curl --request PATCH \
  --url https://api.samsara.com/hos/daily-logs/log-meta-data \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "shippingDocs": "ShippingID1, ShippingID2"
}
'
{
  "data": {
    "adverseDrivingClaimed": false,
    "bigDayClaimed": true,
    "carrierFormattedAddress": "1990 Alameda Street, San Francisco, CA 94103",
    "carrierName": "Carrier Name",
    "carrierUsDotNumber": 1234,
    "homeTerminalFormattedAddress": "1990 Alameda Street, San Francisco, CA 94103",
    "homeTerminalName": "Home Terminal Name",
    "isCertified": true,
    "isUsShortHaulActive": true,
    "trailerNames": [
      "10293",
      "Trailer ID 1"
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

hosDate
string
required

A start date in yyyy-mm-dd format. Required.

driverID
string
required

ID of the driver for whom the duty status is being set.

Body

application/json

Update the shippingDocs field.

shippingDocs
string
required

ShippingDocs associated with the driver for the day.

Example:

"ShippingID1, ShippingID2"

Response

OK response.

data
object
required

Response after successfully updating the LogMetaData object.